<?php

namespace Litecms\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'title'             => $product->title,
            'description'       => $product->description,
            'features'          => $product->features,
            'price'             => $product->price,
            'quantity'          => $product->quantity,
            'stock_status'      => $product->stock_status,
            'product_images'    => $product->product_images,
            'status'            => $product->status,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}